## jackaudiosink

jackaudiosink — Output audio to a JACK server

## Properties

JackClient * | client | Read / Write
GstJackConnect | connect | Read / Write
gchar * | server | Read / Write
gchar * | client-name | Read / Write
GstJackTransport | transport | Read / Write

## Types and Values

struct | GstJackAudioSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstJackAudioSink

## Description

## Synopsis

### Element Information

plugin | jack
author | Wim Taymans <wim.taymans@gmail.com>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)F32LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstJackAudioSink

    struct GstJackAudioSink;

## Property Details

### The `“client”` property

      “client”                   JackClient *

Handle for jack client.

Flags: Read / Write

### The `“connect”` property

      “connect”                  GstJackConnect

Specify how the output ports will be connected.

Flags: Read / Write

Default value: Automatically connect ports to physical ports

### The `“server”` property

      “server”                   gchar *

The Jack server to connect to (NULL = default).

Flags: Read / Write

Default value: NULL

### The `“client-name”` property

      “client-name”              gchar *

The client name of the Jack instance (NULL = default).

Flags: Read / Write

Default value: NULL

### The `“transport”` property

      “transport”                GstJackTransport

Jack transport behaviour of the client.

Flags: Read / Write